

public class Customer extends GenericCustomer {
	
	boolean served = false;
	
	public Customer(QueueMonitor queue, String id, long serviceTime, boolean isPatient) {
		super(id, queue);
		this.serviceTime = serviceTime;
		this.isPatient = isPatient;
		this.isKIQ = false;
		if(!isPatient)
			maxWaiting = serviceTime / 2;
	}
	
	public void run(){
		try {
			// simula il cliente che spazientito abbandona la fila prima di venir servito...
			if(!isPatient){
				sleep(maxWaiting);
				if(!served)
					queue.leaveQueue(id);
			}
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		return;
	}
}
