import java.io.IOException;
import java.net.ServerSocket;


public class KeepInQServer extends Thread {

	private ServerSocket serverSocket;
	private int iPortNumber;
	private QueueMonitor queue;
	private Operator operator;
	
	public KeepInQServer(int port, QueueMonitor q, Operator operator){
		serverSocket = null;
		iPortNumber = port;
		queue = q;
		this.operator = operator;
	}
	
	public void run() {
		try {
			serverSocket = new ServerSocket(iPortNumber);
		} catch (IOException e) {
			System.err.println("Impossibile ascoltare sulla porta:" + iPortNumber);
			System.exit(1);
		}
		System.out.println("*** Server in attesa di client KeepInQ - PORT: "+ iPortNumber + " \t\t\t ***");
		
		ServerThread clientServ;
		while(true){
			try{
				clientServ = new ServerThread(serverSocket.accept(), queue, operator);
				clientServ.start();
			}catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
}
