import java.io.IOException;


public class Operator extends Thread {

	private QueueMonitor queue;
	
	private boolean busy = false;
	
	public Operator(QueueMonitor queue){
		this.queue = queue;
	}
	
	public boolean isBusy(){
		return busy;
	}
	
	public void run(){
		System.out.println("*** Operatore pronto\t\t\t\t\t\t\t ***");
		while(true){
			if(!queue.isEmpty()){
				busy = true;
				GenericCustomer customer = queue.getNextInQueue();
				queue.startService(customer);
				if(customer.isKIQ){
					if(((KeepInQCustomer)customer).confirmed){
						queue.startService(customer);
						System.out.println("E' il turno di " + customer.id);
						System.out.println("<< premere un tasto per far ripartire l'operatore>>");
						try {
							System.in.read();
						} catch (IOException e) {}
						System.out.println("KIP: " + customer.id + " termina il servizio. Operatore ripartito...");
					}else{
						System.out.println("KIP: " + customer.id + " ha perso il proprio turno...");
					}
				}else{
					if(((Customer)customer).isStillInQueue){
						((Customer)customer).served = true;
						System.out.println(customer.id + " inizia il servizio\t\t\t\t" + queue.getReadableTime(queue.getWaitingTime()));
						try {
							sleep(customer.serviceTime);
						} catch (InterruptedException e) {}
						System.out.println(customer.id + " termina il servizio\t\t\t\t" + queue.getReadableTime(queue.getWaitingTime()));
					}else{
						System.out.println(customer.id + " ha rinunciato...\t\t\t\t\t" + queue.getReadableTime(queue.getWaitingTime()));
					}
				}
			}
			busy = false;
		}
	}
}
