package com.ddignani.network;
import java.io.Serializable;

public class ClientRequest implements Serializable {
 private static final long serialVersionUID = 1L;
 
	public static final int NEW_RESERVATION = 1;
	public static final int DECLINE_RESERVATION = 2;
	public static final int REFRESH_RESERVATION = 3;
	public static final int CONFIRM_RESERVATION = 4;
	
	private String idSender;
	private String password;
	private int action;
	
	public ClientRequest(String idSender, String password, int action){
		this.idSender = idSender;
		this.password = password;
		this.action = action;
	}

	public String toString(){
		return idSender + " | " + password+ " | " + action + " |";
	}
	
	
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getAction() {
		return action;
	}

	public void setAction(int action) {
		this.action = action;
	}

	public String getIdSender() {
		return idSender;
	}

	public void setIdSender(String idSender) {
		this.idSender = idSender;
	}
	
	
}
